package com.example.a8_bitinvader;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public class Sprite {

    // public fields
    // xPos and yPos represent top left corner of Sprite hit box
    // xVel and yVel represent x and y velocity respectively
    // image is the Bitmap of the Sprite object
    int xPos, yPos;
    int xVel, yVel;
    int screenWidth, screenHeight;
    Bitmap spriteImage;

    //private properties
    private final int spriteHeight = 128, spriteWidth = 128;

    //private properties

    /**
     * @param xPos initial x position of Sprite
     * @param yPos initial y position of Sprite
     * @param xVel initial x velocity of Sprite
     * @param yVel initial y velocity of Sprite
     */
    public Sprite(int xPos, int yPos, int xVel, int yVel)
    {
        this.xPos = xPos;
        this.yPos = yPos;
        this.xVel = xVel;
        this.yVel = yVel;
    }

    /**
     * @return height of the sprite
     */
    public int getSpriteHeight()
    {
        return spriteHeight;
    }

    /**
     * @return width of the sprite
     */
    public int getSpriteWidth()
    {
        return spriteWidth;
    }

    /**
     *
     * @param xx
     * @param yy
     * @return True if xx and yy are in the current sprite
     */
    // IMPLEMENT THIS LATER TO CHECK FOR COLLISION WITH PASSING BULLET OBJECTS
    public boolean checkForCollision(int xx, int yy)
    {
        //implement
        if((xx < (xPos+spriteWidth) && xx > xPos) && (yy < (yPos+spriteHeight) && yy > yPos))
        {
            return true;
        }
        return false;
    }

    public void destroy() {
        //this should call the animation, and delete the object
    }

    public void updateLocation() {
        xPos += xVel;
        yPos += yVel;
    }

}
